#include <kekengine.h>
#include <ui.h>
#include <iostream>

using namespace kek;

void buttonClicked(void *) {
	std::cout << "Someone clicked me! :O" << std::endl;
}

int main() {
	if(Engine::init() != KEK_SUCCESS) return 1;

	Scene *scene = new Scene();
	Engine::setActiveScene(scene);

	ButtonElement *button = new ButtonElement(uiPx(10), uiPx(50), uiPx(300), uiPx(100));
	//button->origin = Origin::BOTTOM_LEFT;
	button->color = Colors::CYAN;
	button->hoverColor = Colors::WHITE;
	//button->text->origin = Origin::BOTTOM_LEFT;
	button->text->color = Colors::RED;
	button->text->setText("Click me pls uwu!");
	button->onClick = Callable(buttonClicked, nullptr);

	//TextElement *element = new TextElement(uiPx(10), uiSh(1) - uiPx(10));
	//element->origin = Origin::BOTTOM_LEFT;
	//element->setText("Hello World!");
	UI::addElement(button);

	if(Engine::start() != KEK_SUCCESS) return 1;

	Engine::exit();
}
